Subject: bug#18294: 24.3; gud and/or gdb: Add hooks to detect when a source file is visited during debugging

From: martin rudalics <[email-masked]>
Date: Thu, 21 Aug 2014 11:24:27 +0200

> I am writing a minor mode to control the debugger from a source buffer
 > by pressing single-letter keystrokes, e.g. "n" for gud-next, etc. The
 > mode itself is very simple — it has a keymap, and it sets the buffer
 > read-only while it is active so as to free these keys from their usual
 > 'self-insert-command' bindings.
[...]
 > It would be nice if gdb-mi.el provided hooks that I could add to
 > instead of advising gdb functions.

I'd like such a thing.  But wouldn't it be easier to do this right in
gdb-mi.el?  All I'd need is a simple key combination to toggle this
behavior off whenever I want to modify code on the fly.  The next "run"
would then turn the behavior on again.

martin